Subject: Re: G3 iBook LCD brightness in X under kernel 2.4.25 and 2.6.8

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 30 Nov 2004 08:56:49 +1100

On Mon, 2004-11-29 at 10:42 +0100, Frank Murphy wrote:

> It probably is. But it's strange because I use all the same software
> except the kernel to get this behavior. So there's something with the
> kernel / X interface that has changed, either for 2.6 or the way Debian
> builds 2.6. I have a hard time with this because there are so many
> interactions:  is it the PMU? The APM emulation? X driver? Kernel
> driver? I don't have a good idea about how these things interact.
> 
> Let me know what you find out.

It has to do with interactions between the X driver and the atyfb driver
I suppose...

Ben.